Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

http://km-aev.in.audi.vwg/redmine/issues

/39440

Department: SUPPORT Affected Products: ADTF 2.10.0, ADTF 2.11.0, ADTF

2.12.0, ADTF 2.12.1, ADTF 2.13.0,

ADTF 2.13.1, ADTF 2.13.2, ADTF

2.13.3, ADTF 2.14.0, ADTF 2.7.1, ADTF

2.9.0, ADTF 2.9.1, ADTF 3.0.0

Requester's Priority: Normal Platform: Other Linux 64bit, Ubuntu 14.04 64bit,

Ubuntu 16.04 64bit, Windows 7 32bit,

Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::Doc

Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage:

Hier ein Verbesserungsvorschlag für die Doku:

Auf der SDK-Doku Seite "Using CMake to build the ADTF Examples" findet sich der Satz "Only the Debug and the RelWithDebInfo

configurations are supported by ADTF".

Betroffene Versionen: 2.9-3.0.0. (Ich hab mir nur die Windowsplatformen ab 2.9 angeschaut).

Die Aussage ist so nicht richtig, Ein Build mit Release wird unterstützt, es gibt lediglich keine separaten Settings für Release und

RelWithDebInfo. (Auch keine separaten Build und Installationsfolder)

So findet man in der ADTF 3.0.0 Doku auf der Seite "The ADTF CMake Environment" folgende Information

Variable Description

ADTF_C_FLAGS ADTF_C_FLAGS_DEBUG

ADTF_C_FLAGS_RELEASE

All C Compiler flags you should use if build against the package

target. You need to set it by yourself to the CMAKE_C_FLAGS

etc.

We do NOT separate RELEASE AND RELWITHDEBINFO !!

Hier wäre evtl. zu überlegen, ob man das zweite Ausrufungszeichen entfernt und das "AND" kleinschreibt.

Best regards - Beste Grüße

Jochen Messner

EB Assist ADTF Support-Team

Lösung:

Wir haben zu deinem Verbesserungsvorschlag ein Produktticket angelegt.

http://km-aev.in.audi.vwg/redmine/issues/39440

History

#1 - 2017-04-03 11:09 - hidden

- Project changed from Public Support to 7

- Customer set to ELEKTROBIT

- Department set to SUPPORT
- Affected Products ADTF 2.10.0, ADTF 2.11.0, ADTF 2.12.0, ADTF 2.12.1, ADTF 2.13.0, ADTF 2.13.1, ADTF 2.13.2, ADTF 2.13.3, ADTF 2.14.0,

ADTF 2.7.1, ADTF 2.9.0, ADTF 2.9.1, ADTF 3.0.0 added

- Platform Other Linux 64bit, Ubuntu 14.04 64bit, Ubuntu 16.04 64bit, Windows 7 32bit, Windows 7 64bit added

#2 - 2017-04-04 10:55 - hidden

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::Doc

- Resolution set to Product Issue Opened

- Product Issue Numbers set to http://km-aev.in.audi.vwg/redmine/issues/39440

- Support Level changed from 2nd Level to 3rd Level

Hallo Jochen,

ich habe zu deinem Verbesserungsvorschlag ein Produktticket angelegt.

http://km-aev.in.audi.vwg/redmine/issues/39440

Damit sollte dieses Support Ticket abgeschlossen sein.

Bitte um Feedback, damit wir es schließen können.

#3 - 2017-04-04 15:00 - hidden

Hi Stephan,

passt dann, kannst Das Ticket gerne schließen.

Gruss,

Jochen

#4 - 2017-04-04 16:13 - hidden

- File deleted (image001.png)

#5 - 2017-04-04 16:20 - hidden

- Subject changed from ADTFS-46431 Seltsames aus der ADTF Dokumentation (no Support for Release compile?) to ADTFS-46431 Improvement

suggestion on the ADTF Documentation

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

@Florian, Ticket kann geschlossen werden.

#6 - 2017-04-05 10:14 - hidden

- Project changed from 7 to Public Support

- Status changed from To Be Closed to Closed

- Private changed from Yes to No

- Support Level changed from 3rd Level to 2nd Level
